import type { Metadata, ResolvedMetadata, ResolvingMetadata } from './types/metadata-interface';
declare type MetadataResolver = (_parent: ResolvingMetadata) => Promise<Metadata>;
export declare type MetadataItems = (Metadata | MetadataResolver)[];
export declare function collectMetadata(mod: any, props: any, array: MetadataItems): Promise<void>;
export declare function accumulateMetadata(metadataItems: MetadataItems): Promise<ResolvedMetadata>;
export declare function resolveFileBasedMetadataForLoader(_layer: number, _dir: string): Promise<string>;
export {};
